MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
oxcperm.c File Reference

Access and Operation Permissions Rops. More...

`#include "mapiproxy/dcesrv_mapiproxy.h"`
`#include "mapiproxy/libmapiproxy/libmapiproxy.h"`
`#include "mapiproxy/libmapiserver/libmapiserver.h"`
`#include "dcesrv_exchange_emsmdb.h"`

## Functions
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopGetPermissionsTable (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopModifyPermissions (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)

## Detailed Description

Access and Operation Permissions Rops.

## Function Documentation

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopGetPermissionsTable | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc GetPermissionsTable (0x3e) Rop. This operation get the permissions table of a folder.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the GetPermissionsTable EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the GetPermissionsTable EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_is_mapistore(), emsmdbp_object_table_init(), mapi_handles_add(), mapi_handles_delete(), mapi_handles_get_private_data(), mapi_handles_search(), and mapi_handles_set_private_data().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopModifyPermissions | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc ModifyPermissions (0x40) Rop. This operation gets the GUID of a public folder's per-user information.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the GetPerUserLongTermIds EcDoRpc_MAPI_REQ
  mapi_repl | pointer to the GetPerUserLongTermIds EcDoRpc_MAPI_REPL
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_get_contextID(), emsmdbp_is_mapistore(), mapi_handles_get_private_data(), and mapi_handles_search().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/